import { MatTableDataSource } from '@angular/material/table';
import { ZuiExcelService } from '../../../excel';
import { ZMItem, ZUITable } from '../../../constants';
import { ZuiTableFilterDialogComponent } from '../filter-dialog';
export declare class ZuiTableFilterComponent<T> {
    private zuiExcelService;
    currentOptions: ZUITable<T>;
    dataSource: MatTableDataSource<T>;
    zuiTableFilterDialog: ZuiTableFilterDialogComponent;
    exportItems: ZMItem[];
    constructor(zuiExcelService: ZuiExcelService);
    ngOnChanges(): void;
    get visible(): boolean;
    action: () => void;
}
